org.apache.storm.multilang

## Class ShellMsg

- java.lang.Object
- - org.apache.storm.multilang.ShellMsg

-     public class ShellMsg
      extends Object

  ShellMsg is an object that represents the data sent to a shell component from a process that implements a multi-language protocol. It is the union of all data types that a component can send to Storm.

  ShellMsgs are objects received from the ISerializer interface, after the serializer has deserialized the data from the underlying wire protocol. The ShellMsg class allows for a decoupling between the serialized representation of the data and the data itself.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShellMsg.ShellLogLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellMsg()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnchor(String anchor)`
    `void` | `addTuple(Object tuple)`
    `boolean` | `areTaskIdsNeeded()`
    `List<String>` | `getAnchors()`
    `String` | `getCommand()`
    `Object` | `getId()`
    `ShellMsg.ShellLogLevel` | `getLogLevel()`
    `String` | `getMetricName()`
    `Object` | `getMetricParams()`
    `String` | `getMsg()`
    `String` | `getStream()`
    `long` | `getTask()`
    `List<Object>` | `getTuple()`
    `void` | `setAnchors(List<String> anchors)`
    `void` | `setCommand(String command)`
    `void` | `setId(Object id)`
    `void` | `setLogLevel(int logLevel)`
    `void` | `setMetricName(String metricName)`
    `void` | `setMetricParams(Object metricParams)`
    `void` | `setMsg(String msg)`
    `void` | `setNeedTaskIds(boolean needTaskIds)`
    `void` | `setStream(String stream)`
    `void` | `setTask(long task)`
    `void` | `setTuple(List<Object> tuple)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShellMsg

          public ShellMsg()

  - ### Method Detail

    - #### getCommand

          public String getCommand()

    - #### setCommand

          public void setCommand(String command)

    - #### getId

          public Object getId()

    - #### setId

          public void setId(Object id)

    - #### getAnchors

          public List<String> getAnchors()

    - #### setAnchors

          public void setAnchors(List<String> anchors)

    - #### addAnchor

          public void addAnchor(String anchor)

    - #### getStream

          public String getStream()

    - #### setStream

          public void setStream(String stream)

    - #### getTask

          public long getTask()

    - #### setTask

          public void setTask(long task)

    - #### getMsg

          public String getMsg()

    - #### setMsg

          public void setMsg(String msg)

    - #### getTuple

          public List<Object> getTuple()

    - #### setTuple

          public void setTuple(List<Object> tuple)

    - #### addTuple

          public void addTuple(Object tuple)

    - #### areTaskIdsNeeded

          public boolean areTaskIdsNeeded()

    - #### setNeedTaskIds

          public void setNeedTaskIds(boolean needTaskIds)

    - #### getMetricName

          public String getMetricName()

    - #### setMetricName

          public void setMetricName(String metricName)

    - #### getMetricParams

          public Object getMetricParams()

    - #### setMetricParams

          public void setMetricParams(Object metricParams)

    - #### getLogLevel

          public ShellMsg.ShellLogLevel getLogLevel()

    - #### setLogLevel

          public void setLogLevel(int logLevel)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019 The Apache Software Foundation. All rights reserved.